package ink.wgink.module.activiti.pojo.bos.oa;

import ink.wgink.module.activiti.enums.oa.TaskCommentTypeEnum;

/**
 * @ClassName: TaskCommentBO
 * @Description: 任务批注
 * @Author: wanggeng
 * @Date: 2022/4/28 22:46
 * @Version: 1.0
 */
public class TaskCommentBO {

    private TaskCommentTypeEnum type;
    private String userId;
    private String userName;
    private String fieldName;
    private String fieldExplain;
    private String content;
    private String time;

    public TaskCommentTypeEnum getType() {
        return type;
    }

    public void setType(TaskCommentTypeEnum type) {
        this.type = type;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getFieldName() {
        return fieldName == null ? "" : fieldName.trim();
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldExplain() {
        return fieldExplain == null ? "" : fieldExplain.trim();
    }

    public void setFieldExplain(String fieldExplain) {
        this.fieldExplain = fieldExplain;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTime() {
        return time == null ? "" : time.trim();
    }

    public void setTime(String time) {
        this.time = time;
    }


}
